From 14115cc94086fb2a0a5cd32e67c70f623847df64 Mon Sep 17 00:00:00 2001
From: Samuel Thibault <samuel.thibault@ens-lyon.org>
Date: Thu, 30 Aug 2018 11:39:25 +0200
Subject: [PATCH] build: use @basename instead of @filename

Fixes: https://bugzilla.gnome.org/show_bug.cgi?id=789619
---
 atk/atk-enum-types.c.template | 2 +-
 atk/atk-enum-types.h.template | 2 +-
 atk/makefile.msc              | 4 ++--
 3 files changed, 4 insertions(+), 4 deletions(-)

diff --git a/atk/atk-enum-types.c.template b/atk/atk-enum-types.c.template
index df2f546..b3c0b13 100644
--- a/atk/atk-enum-types.c.template
+++ b/atk/atk-enum-types.c.template
@@ -7,7 +7,7 @@
 
 /*** BEGIN file-production ***/
 
-/* enumerations from "@filename@" */
+/* enumerations from "@basename@" */
 /*** END file-production ***/
 
 /*** BEGIN value-header ***/
diff --git a/atk/atk-enum-types.h.template b/atk/atk-enum-types.h.template
index 7b4cec4..8321c24 100644
--- a/atk/atk-enum-types.h.template
+++ b/atk/atk-enum-types.h.template
@@ -14,7 +14,7 @@ G_BEGIN_DECLS
 
 /*** BEGIN file-production ***/
 
-/* enumerations from "@filename@" */
+/* enumerations from "@basename@" */
 /*** END file-production ***/
 
 /*** BEGIN value-header ***/
diff --git a/atk/makefile.msc b/atk/makefile.msc
index f407b7d..ed4656b 100644
--- a/atk/makefile.msc
+++ b/atk/makefile.msc
@@ -104,7 +104,7 @@ atkmarshal.c : atkmarshal.list
 atk-enum-types.h : $(atk_headers) makefile.msc
 	$(PERL) $(GLIB)\gobject\glib-mkenums \
 		--fhead "#ifndef __ATK_ENUM_TYPES_H__\n#define __ATK_ENUM_TYPES_H__\n" \
-		--fprod "/* enumerations from \"@filename@\" */\n" \
+		--fprod "/* enumerations from \"@basename@\" */\n" \
 		--vhead "GType @enum_name@_get_type (void);\n#define ATK_TYPE_@ENUMSHORT@ (@enum_name@_get_type())\n"         \
 		--ftail "#endif /* __ATK_ENUM_TYPES_H__ */" \
 		$(atk_headers) > atk-enum-types.h
@@ -115,7 +115,7 @@ atk-enum-types.h : $(atk_headers) makefile.msc
 atk-enum-types.c: $(atk_headers) makefile.msc
 	$(PERL) $(GLIB)\gobject\glib-mkenums \
 		--fhead "#include <atk.h>" \
-		--fprod "\n/* enumerations from \"@filename@\" */" \
+		--fprod "\n/* enumerations from \"@basename@\" */" \
 		--vhead "GType\n@enum_name@_get_type (void)\n{\n  static GType etype = 0;\n  if (etype == 0) {\n    static const G@Type@Value values[] = {"     \
 		--vprod "      { @VALUENAME@, \"@VALUENAME@\", \"@valuenick@\" }," \
 		--vtail "      { 0, NULL, NULL }\n    };\n    etype = g_@type@_register_static (\"@EnumName@\", values);\n  }\n  return etype;\n}\n" \
-- 
2.19.2

